#ifndef __vtkLandmarkTransformFilter_h
#define __vtkLandmarkTransformFilter_h

#include "vtkSmartPointer.h" // compiler errors if this is forward declared

#include "vtkPolyDataAlgorithm.h" //superclass
#include "vtkExecutive.h"

class vtkPolyData;
class vtkTransform;
class vtkInformation;
class vtkInformationVector;
class vtkLandmarkTransform;

#include "vtkMath.h"

class vtkLandmarkTransformFilter : public vtkPolyDataAlgorithm
{
 public:
  static vtkLandmarkTransformFilter *New();
  vtkTypeRevisionMacro(vtkLandmarkTransformFilter, vtkPolyDataAlgorithm);
  void PrintSelf(ostream &os, vtkIndent indent);

 protected:
  vtkLandmarkTransformFilter();
  ~vtkLandmarkTransformFilter();

  // Make sure the pipeline knows what type we expect as input
  int FillInputPortInformation( int port, vtkInformation* info );

  // Generate output
  int RequestData(vtkInformation *, vtkInformationVector **, vtkInformationVector *); //the function that makes this class work with the vtk pipeline

 private:
  //BTX
  // BTX-ETX comment is to hide these variable declarations from
  // bin/vtkWrapClientServer. If omitted, we'd get a
  // *** SYNTAX ERROR found in parsing the header file vtkICPFilter.h before line 34 ***

  vtkSmartPointer<vtkLandmarkTransform> LandmarkTransform;
  //ETX

};
#endif

